Page MenuHomePhabricator

Fetch citation details from Wikidata, using QIDs
Closed, ResolvedPublic

Description

Citoid should have a 'Wikidata ID' parameter.

When a Wikidata QID (example: Q30000000) is entered, it should fill out the chosen citation template, using values from Wikidata, using the Wikidata translator ( https://github.com/zotero/translators/blob/master/Wikidata.js ), just as it currently does if a Wikidata item URL (example: https://www.wikidata.org/wiki/Q30000000 ) is entered in the URL field.

Details

Related Gerrit Patches:
mediawiki/services/citoid : masterAdd support for wikidata QIDs
mediawiki/services/citoid : masterAdd support for wikidata QIDs

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptSep 21 2017, 1:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Pigsonthewing renamed this task from Fetch citation details from Wikidata to Fetch citation details from Wikidata, using QIDs.Sep 21 2017, 1:16 PM
Pigsonthewing updated the task description. (Show Details)
Pigsonthewing updated the task description. (Show Details)
TheDJ added a subscriber: TheDJ.Sep 21 2017, 3:35 PM
Mvolz moved this task from Backlog to Service on the Citoid board.Oct 8 2017, 2:04 PM
Mvolz claimed this task.Jan 15 2018, 11:11 AM
Mvolz triaged this task as Medium priority.

Change 420324 had a related patch set uploaded (by Mvolz; owner: Mvolz):
[mediawiki/services/citoid@master] [WIP] Add support for wikidata QIDs

https://gerrit.wikimedia.org/r/420324

Change 420324 merged by Mobrovac:
[mediawiki/services/citoid@master] Add support for wikidata QIDs

https://gerrit.wikimedia.org/r/420324

mobrovac moved this task from Service to Waiting on Deploy on the Citoid board.

Change 427627 had a related patch set uploaded (by Mvolz; owner: Mvolz):
[mediawiki/services/citoid@master] [WIP] Add support for wikidata QIDs

https://gerrit.wikimedia.org/r/427627

Change 427627 merged by jenkins-bot:
[mediawiki/services/citoid@master] Add support for wikidata QIDs

https://gerrit.wikimedia.org/r/427627

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-04-23T11:22:19Z] <mobrovac@tin> Started deploy [citoid/deploy@b3c0818]: Add support for restful crossRef API and Wikidata QIDs - T108175 T176411

Mentioned in SAL (#wikimedia-operations) [2018-04-23T11:25:55Z] <mobrovac@tin> Finished deploy [citoid/deploy@b3c0818]: Add support for restful crossRef API and Wikidata QIDs - T108175 T176411 (duration: 03m 36s)

Mvolz closed this task as Resolved.Apr 26 2018, 9:08 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 26 2018, 9:08 AM
Mvolz added a comment.Apr 26 2018, 9:08 AM

Done using the zotero translator, although a native implementation would still be nice.